BRepOffsetAPI_MakeOffset not work when offset inside

version: OCCT 7.6

BRepBuilderAPI_MakePolygon polygonBuilder;
polygonBuilder.Add(gp_Pnt(-2784, 741, 0));
polygonBuilder.Add(gp_Pnt(-1219, 741, 0));
polygonBuilder.Add(gp_Pnt(-1219, 500, 0));
polygonBuilder.Add(gp_Pnt(-2784, 500, 0));
polygonBuilder.Add(gp_Pnt(-2784, -2708, 0));
polygonBuilder.Add(gp_Pnt(964, -2708, 0));
polygonBuilder.Add(gp_Pnt(964, 500, 0));
polygonBuilder.Add(gp_Pnt(-19, 500, 0));
polygonBuilder.Add(gp_Pnt(-19, 741, 0));
polygonBuilder.Add(gp_Pnt(964, 741, 0));
polygonBuilder.Add(gp_Pnt(964, 3599, 0));
polygonBuilder.Add(gp_Pnt(-2784, 3599, 0));
polygonBuilder.Close();
auto wire = polygonBuilder.Wire();

BRepOffsetAPI_MakeOffset offsetMaker(wire, GeomAbs_Intersection);
// outside offset is ok
offsetMaker.Perform(-100,0.01);
if (offsetMaker.IsDone())
{
    m_NewShape = offsetMaker.Shape();
}
Attachments: 
Dmitrii Pasukhin's picture

Hello, thank you for your code sample and issue details. I recommend to share your problem in the official bug-tracker (with your profile).

My View - MantisBT (opencascade.org)

If you see in the right side yourself as "anonimous" please log-out from it and login with your profile.

As for your issue, the problem looks like as internal bug. Currently, we have related bug with negative value. But the issue is not public. I will ask developer to check your issue withing internal issue. But it will be possible, only after issue will be created by you.

Best regards, Dmitrii.

jack-wangss's picture

Hello Dmitrii,

Thank you for your support.

I am unable to log in with my account on this website, and it seems that I cannot register a new account to log in either.

Attachments: